/**
Copyright Philipp Tölke, 2006-2007

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License version 2 as published by the Free
Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
St, Fifth Floor, Boston, MA  02110-1301  USA
**/

#ifndef _OUTFILE_H
#define _OUTFILE_H

#include <stdio.h>
extern "C" {
#include <jpeglib.h>
}
class Outfile {
    public:
        virtual ~Outfile() {};
        virtual int initialize(const char*, struct jpeg_error_mgr*, JDIMENSION, JDIMENSION, int, J_COLOR_SPACE) = 0;
        virtual void destroy() = 0;
        virtual void write_scanline(JSAMPARRAY) = 0;
    private:
};

#endif
